Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.mtg
Class MTGKeys

    java.lang.Object
      de.grogra.mtg.MTGKeys

    public class MTGKeys

extends java.lang.Object

Field Summary
`static java.lang.String` | `ATT_ALPHA`
`static java.lang.String` | `ATT_AZIMUT`
`static java.lang.String` | `ATT_BOTTOMDIA`
`static java.lang.String` | `ATT_CATEGORY`
`static java.lang.String` | `ATT_DIRECTION_PRI`
`static java.lang.String` | `ATT_LENGTH`
`static java.lang.String` | `ATT_ORDER`
`static java.lang.String` | `ATT_PHI`
`static java.lang.String` | `ATT_POSITION`
`static java.lang.String` | `ATT_PSI`
`static java.lang.String` | `ATT_TETA`
`static java.lang.String` | `ATT_TOPDIA`
`static java.lang.String` | `CA_X`
`static java.lang.String` | `CA_Y`
`static java.lang.String` | `CA_Z`
`static int` | `MTG_ANY`
`static java.lang.String[]` | `MTG_ATTRIBUTE_KEYWORD_FEATURE_NAMES`
`static java.lang.String[]` | `MTG_ATTRIBUTE_KEYWORD_FEATURE_TYPES`
`static java.lang.String` | `MTG_ATTRIBUTE_KEYWORD_FEATURES`
`static java.lang.String` | `MTG_ATTRIBUTE_KEYWORD_NAME`
`static java.lang.String[]` | `MTG_ATTRIBUTE_KEYWORD_STATE_CHARS`
`static java.lang.String` | `MTG_ATTRIBUTE_KEYWORD_TYPE`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_CONNECTED`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_BRAN`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_FREE`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_NONE`
`static int` | `MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_SUCC`
`static int` | `MTG_CLASSES_KEYCODE_DEFINITION_EXPLICIT`
`static int` | `MTG_CLASSES_KEYCODE_DEFINITION_IMPLICIT`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_CLASSES`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_CONNECTED`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_BRAN`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_FREE`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_NONE`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_SUCC`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DEFINITION`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DEFINITION_EXPLICIT`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_DEFINITION_IMPLICIT`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_INDEXATION`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_SCALE`
`static java.lang.String` | `MTG_CLASSES_KEYWORD_SYMBOL`
`static java.lang.String` | `MTG_CODE_KEYWORD_CODE`
`static java.lang.String` | `MTG_CODE_KEYWORD_FORM_A`
`static java.lang.String` | `MTG_CODE_KEYWORD_FORM_B`
`static int` | `MTG_DATA_KEYCODE_EDGE_BRAN`
`static int` | `MTG_DATA_KEYCODE_EDGE_BRAN_MANY`
`static int` | `MTG_DATA_KEYCODE_EDGE_BRAN_MANY_ATT`
`static int` | `MTG_DATA_KEYCODE_EDGE_REFI`
`static int` | `MTG_DATA_KEYCODE_EDGE_SUCC`
`static int` | `MTG_DATA_KEYCODE_EDGE_SUCC_MANY`
`static int` | `MTG_DATA_KEYCODE_EDGE_SUCC_MANY_ATT`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_BRAN`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_BRAN_MANY`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_BRAN_MANY_ATT`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_REFI`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_SUCC`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_SUCC_MANY`
`static java.lang.String` | `MTG_DATA_KEYWORD_EDGE_SUCC_MANY_ATT`
`static java.lang.String` | `MTG_DATA_KEYWORD_ENTITY_CODE`
`static java.lang.String` | `MTG_DATA_KEYWORD_MTG`
`static java.lang.String` | `MTG_MODULE_PREFIX`
`static java.lang.String` | `MTG_NODE_BRANCHES`
`static java.lang.String` | `MTG_NODE_COORD_ORIGIN`
`static java.lang.String` | `MTG_NODE_COORD_SQUARES`
`static java.lang.String` | `MTG_NODE_DRESSING`
`static java.lang.String` | `MTG_NODE_ENTITY_CLASS`
`static java.lang.String` | `MTG_NODE_ENTITY_INDEX`
`static java.lang.String` | `MTG_NODE_LIST_INDEX`
`static java.lang.String` | `MTG_NODE_NODELIST`
`static java.lang.String` | `MTG_NODE_PLANT_COUNT`
`static java.lang.String` | `MTG_NODE_PLANT_MAX`
`static java.lang.String` | `MTG_NODE_PLANT_MIN`
`static java.lang.String` | `MTG_NODE_PLANT_ORIGIN`
`static java.lang.String` | `MTG_RGG_MODULES`
`static int` | `MTG_ROOT_NODE`
`static java.lang.String` | `MTG_SCALES_CHANGED`
`static java.lang.String` | `MTG_SCALES_VISIBLE`
`static int` | `MTG_TOPO_KEYCODE_MAX_MANY`
`static int` | `MTG_TOPO_KEYCODE_MAX_ONE`
`static int` | `MTG_TOPO_KEYCODE_RELTYPE_BRAN`
`static int` | `MTG_TOPO_KEYCODE_RELTYPE_SUCC`
`static java.lang.String` | `MTG_TOPO_KEYWORD_DESCRIPTION`
`static java.lang.String` | `MTG_TOPO_KEYWORD_LEFT`
`static java.lang.String` | `MTG_TOPO_KEYWORD_MAX`
`static java.lang.String` | `MTG_TOPO_KEYWORD_MAX_MANY`
`static java.lang.String` | `MTG_TOPO_KEYWORD_MAX_ONE`
`static java.lang.String` | `MTG_TOPO_KEYWORD_RELTYPE`
`static java.lang.String` | `MTG_TOPO_KEYWORD_RELTYPE_BRAN`
`static java.lang.String` | `MTG_TOPO_KEYWORD_RELTYPE_REFI`
`static java.lang.String` | `MTG_TOPO_KEYWORD_RELTYPE_SUCC`
`static java.lang.String` | `MTG_TOPO_KEYWORD_RIGHT`
`static int` | `MTG_TRUNK_ORDER`
`static int` | `MTG_TYPE_COORD_CARTESIAN`
`static int` | `MTG_TYPE_COORD_TRI_REF`
`static int` | `MTG_TYPE_STANDARD`
`static int` | `MTG_UNKNOWN_KEYCODE`
`static java.lang.String` | `TR_DAB`
`static java.lang.String` | `TR_DAC`
`static java.lang.String` | `TR_DBC`
`static java.lang.String` | `TR_X`
`static java.lang.String` | `TR_Y`
`static java.lang.String` | `TR_Z`

Constructor Summary
`MTGKeys()`

Method Summary
`static java.lang.String` | `codeToJavaTypeFeatureTypes(int code)` For creating strings specifiying java primitive or object types from MTG feature types
`static int` | `doubleToInt(java.lang.Object value)`
`static java.lang.String` | `edgeBitToSymbol(int bit)`
`static boolean` | `featureNameMatchesFeatureType(int nameIndex, int typeIndex)`
`static java.lang.String` | `getGeneratedModuleName(java.lang.String mtgClassName)`
`static int` | `getStdAttFlagMask(java.lang.String featureName)`
`static double` | `integerToDouble(java.lang.Object value)`
`static boolean` | `isStandardAttribute(java.lang.String featureName)`
`static int` | `javaTypeToFeatureTypesCode(java.lang.String javaType)`
`static java.lang.String` | `javaTypeToMTGType(java.lang.String javaType)`
`static int` | `keywordToCodeDecomposition(java.lang.String keyword)`
`static int` | `keywordToCodeDefinition(java.lang.String keyword)`
`static int` | `keywordToCodeEdgeType(java.lang.String keyword)`
`static int` | `keywordToCodeMax(java.lang.String keyword)`
`static int` | `keywordToCodeRelType(java.lang.String keyword)`
`static int` | `keywordToCodeStandardFeatureName(java.lang.String keyword)`
`static int` | `keywordToCodeStandardFeatureTypes(java.lang.String keyword)`
`static boolean` | `stateFeatureCharactersAcceptable(java.lang.String valueString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATT_ALPHA

    public static final java.lang.String ATT_ALPHA

See Also:
  Constant Field Values

### ATT_AZIMUT

    public static final java.lang.String ATT_AZIMUT

See Also:
  Constant Field Values

### ATT_BOTTOMDIA

    public static final java.lang.String ATT_BOTTOMDIA

See Also:
  Constant Field Values

### ATT_CATEGORY

    public static final java.lang.String ATT_CATEGORY

See Also:
  Constant Field Values

### ATT_DIRECTION_PRI

    public static final java.lang.String ATT_DIRECTION_PRI

See Also:
  Constant Field Values

### ATT_LENGTH

    public static final java.lang.String ATT_LENGTH

See Also:
  Constant Field Values

### ATT_ORDER

    public static final java.lang.String ATT_ORDER

See Also:
  Constant Field Values

### ATT_PHI

    public static final java.lang.String ATT_PHI

See Also:
  Constant Field Values

### ATT_POSITION

    public static final java.lang.String ATT_POSITION

See Also:
  Constant Field Values

### ATT_PSI

    public static final java.lang.String ATT_PSI

See Also:
  Constant Field Values

### ATT_TETA

    public static final java.lang.String ATT_TETA

See Also:
  Constant Field Values

### ATT_TOPDIA

    public static final java.lang.String ATT_TOPDIA

See Also:
  Constant Field Values

### CA_X

    public static final java.lang.String CA_X

See Also:
  Constant Field Values

### CA_Y

    public static final java.lang.String CA_Y

See Also:
  Constant Field Values

### CA_Z

    public static final java.lang.String CA_Z

See Also:
  Constant Field Values

### MTG_ANY

    public static final int MTG_ANY

See Also:
  Constant Field Values

### MTG_ATTRIBUTE_KEYWORD_FEATURE_NAMES

    public static final java.lang.String[] MTG_ATTRIBUTE_KEYWORD_FEATURE_NAMES

### MTG_ATTRIBUTE_KEYWORD_FEATURE_TYPES

    public static final java.lang.String[] MTG_ATTRIBUTE_KEYWORD_FEATURE_TYPES

### MTG_ATTRIBUTE_KEYWORD_FEATURES

    public static final java.lang.String MTG_ATTRIBUTE_KEYWORD_FEATURES

See Also:
  Constant Field Values

### MTG_ATTRIBUTE_KEYWORD_NAME

    public static final java.lang.String MTG_ATTRIBUTE_KEYWORD_NAME

See Also:
  Constant Field Values

### MTG_ATTRIBUTE_KEYWORD_STATE_CHARS

    public static final java.lang.String[] MTG_ATTRIBUTE_KEYWORD_STATE_CHARS

### MTG_ATTRIBUTE_KEYWORD_TYPE

    public static final java.lang.String MTG_ATTRIBUTE_KEYWORD_TYPE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_CONNECTED

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_CONNECTED

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_BRAN

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_BRAN

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_FREE

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_FREE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_NONE

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_NONE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_SUCC

    public static final int MTG_CLASSES_KEYCODE_DECOMPOSITION_LINEAR_SUCC

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DEFINITION_EXPLICIT

    public static final int MTG_CLASSES_KEYCODE_DEFINITION_EXPLICIT

See Also:
  Constant Field Values

### MTG_CLASSES_KEYCODE_DEFINITION_IMPLICIT

    public static final int MTG_CLASSES_KEYCODE_DEFINITION_IMPLICIT

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_CLASSES

    public static final java.lang.String MTG_CLASSES_KEYWORD_CLASSES

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_CONNECTED

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_CONNECTED

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_BRAN

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_BRAN

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_FREE

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_FREE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_NONE

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_NONE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_SUCC

    public static final java.lang.String MTG_CLASSES_KEYWORD_DECOMPOSITION_LINEAR_SUCC

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DEFINITION

    public static final java.lang.String MTG_CLASSES_KEYWORD_DEFINITION

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DEFINITION_EXPLICIT

    public static final java.lang.String MTG_CLASSES_KEYWORD_DEFINITION_EXPLICIT

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_DEFINITION_IMPLICIT

    public static final java.lang.String MTG_CLASSES_KEYWORD_DEFINITION_IMPLICIT

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_INDEXATION

    public static final java.lang.String MTG_CLASSES_KEYWORD_INDEXATION

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_SCALE

    public static final java.lang.String MTG_CLASSES_KEYWORD_SCALE

See Also:
  Constant Field Values

### MTG_CLASSES_KEYWORD_SYMBOL

    public static final java.lang.String MTG_CLASSES_KEYWORD_SYMBOL

See Also:
  Constant Field Values

### MTG_CODE_KEYWORD_CODE

    public static final java.lang.String MTG_CODE_KEYWORD_CODE

See Also:
  Constant Field Values

### MTG_CODE_KEYWORD_FORM_A

    public static final java.lang.String MTG_CODE_KEYWORD_FORM_A

See Also:
  Constant Field Values

### MTG_CODE_KEYWORD_FORM_B

    public static final java.lang.String MTG_CODE_KEYWORD_FORM_B

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_BRAN

    public static final int MTG_DATA_KEYCODE_EDGE_BRAN

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_BRAN_MANY

    public static final int MTG_DATA_KEYCODE_EDGE_BRAN_MANY

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_BRAN_MANY_ATT

    public static final int MTG_DATA_KEYCODE_EDGE_BRAN_MANY_ATT

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_REFI

    public static final int MTG_DATA_KEYCODE_EDGE_REFI

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_SUCC

    public static final int MTG_DATA_KEYCODE_EDGE_SUCC

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_SUCC_MANY

    public static final int MTG_DATA_KEYCODE_EDGE_SUCC_MANY

See Also:
  Constant Field Values

### MTG_DATA_KEYCODE_EDGE_SUCC_MANY_ATT

    public static final int MTG_DATA_KEYCODE_EDGE_SUCC_MANY_ATT

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_BRAN

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_BRAN

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_BRAN_MANY

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_BRAN_MANY

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_BRAN_MANY_ATT

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_BRAN_MANY_ATT

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_REFI

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_REFI

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_SUCC

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_SUCC

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_SUCC_MANY

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_SUCC_MANY

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_EDGE_SUCC_MANY_ATT

    public static final java.lang.String MTG_DATA_KEYWORD_EDGE_SUCC_MANY_ATT

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_ENTITY_CODE

    public static final java.lang.String MTG_DATA_KEYWORD_ENTITY_CODE

See Also:
  Constant Field Values

### MTG_DATA_KEYWORD_MTG

    public static final java.lang.String MTG_DATA_KEYWORD_MTG

See Also:
  Constant Field Values

### MTG_MODULE_PREFIX

    public static final java.lang.String MTG_MODULE_PREFIX

See Also:
  Constant Field Values

### MTG_NODE_BRANCHES

    public static final java.lang.String MTG_NODE_BRANCHES

See Also:
  Constant Field Values

### MTG_NODE_COORD_ORIGIN

    public static final java.lang.String MTG_NODE_COORD_ORIGIN

See Also:
  Constant Field Values

### MTG_NODE_COORD_SQUARES

    public static final java.lang.String MTG_NODE_COORD_SQUARES

See Also:
  Constant Field Values

### MTG_NODE_DRESSING

    public static final java.lang.String MTG_NODE_DRESSING

See Also:
  Constant Field Values

### MTG_NODE_ENTITY_CLASS

    public static final java.lang.String MTG_NODE_ENTITY_CLASS

See Also:
  Constant Field Values

### MTG_NODE_ENTITY_INDEX

    public static final java.lang.String MTG_NODE_ENTITY_INDEX

See Also:
  Constant Field Values

### MTG_NODE_LIST_INDEX

    public static final java.lang.String MTG_NODE_LIST_INDEX

See Also:
  Constant Field Values

### MTG_NODE_NODELIST

    public static final java.lang.String MTG_NODE_NODELIST

See Also:
  Constant Field Values

### MTG_NODE_PLANT_COUNT

    public static final java.lang.String MTG_NODE_PLANT_COUNT

See Also:
  Constant Field Values

### MTG_NODE_PLANT_MAX

    public static final java.lang.String MTG_NODE_PLANT_MAX

See Also:
  Constant Field Values

### MTG_NODE_PLANT_MIN

    public static final java.lang.String MTG_NODE_PLANT_MIN

See Also:
  Constant Field Values

### MTG_NODE_PLANT_ORIGIN

    public static final java.lang.String MTG_NODE_PLANT_ORIGIN

See Also:
  Constant Field Values

### MTG_RGG_MODULES

    public static final java.lang.String MTG_RGG_MODULES

See Also:
  Constant Field Values

### MTG_ROOT_NODE

    public static final int MTG_ROOT_NODE

See Also:
  Constant Field Values

### MTG_SCALES_CHANGED

    public static final java.lang.String MTG_SCALES_CHANGED

### MTG_SCALES_VISIBLE

    public static final java.lang.String MTG_SCALES_VISIBLE

### MTG_TOPO_KEYCODE_MAX_MANY

    public static final int MTG_TOPO_KEYCODE_MAX_MANY

See Also:
  Constant Field Values

### MTG_TOPO_KEYCODE_MAX_ONE

    public static final int MTG_TOPO_KEYCODE_MAX_ONE

See Also:
  Constant Field Values

### MTG_TOPO_KEYCODE_RELTYPE_BRAN

    public static final int MTG_TOPO_KEYCODE_RELTYPE_BRAN

See Also:
  Constant Field Values

### MTG_TOPO_KEYCODE_RELTYPE_SUCC

    public static final int MTG_TOPO_KEYCODE_RELTYPE_SUCC

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_DESCRIPTION

    public static final java.lang.String MTG_TOPO_KEYWORD_DESCRIPTION

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_LEFT

    public static final java.lang.String MTG_TOPO_KEYWORD_LEFT

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_MAX

    public static final java.lang.String MTG_TOPO_KEYWORD_MAX

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_MAX_MANY

    public static final java.lang.String MTG_TOPO_KEYWORD_MAX_MANY

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_MAX_ONE

    public static final java.lang.String MTG_TOPO_KEYWORD_MAX_ONE

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_RELTYPE

    public static final java.lang.String MTG_TOPO_KEYWORD_RELTYPE

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_RELTYPE_BRAN

    public static final java.lang.String MTG_TOPO_KEYWORD_RELTYPE_BRAN

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_RELTYPE_REFI

    public static final java.lang.String MTG_TOPO_KEYWORD_RELTYPE_REFI

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_RELTYPE_SUCC

    public static final java.lang.String MTG_TOPO_KEYWORD_RELTYPE_SUCC

See Also:
  Constant Field Values

### MTG_TOPO_KEYWORD_RIGHT

    public static final java.lang.String MTG_TOPO_KEYWORD_RIGHT

See Also:
  Constant Field Values

### MTG_TRUNK_ORDER

    public static final int MTG_TRUNK_ORDER

See Also:
  Constant Field Values

### MTG_TYPE_COORD_CARTESIAN

    public static final int MTG_TYPE_COORD_CARTESIAN

See Also:
  Constant Field Values

### MTG_TYPE_COORD_TRI_REF

    public static final int MTG_TYPE_COORD_TRI_REF

See Also:
  Constant Field Values

### MTG_TYPE_STANDARD

    public static final int MTG_TYPE_STANDARD

See Also:
  Constant Field Values

### MTG_UNKNOWN_KEYCODE

    public static final int MTG_UNKNOWN_KEYCODE

See Also:
  Constant Field Values

### TR_DAB

    public static final java.lang.String TR_DAB

See Also:
  Constant Field Values

### TR_DAC

    public static final java.lang.String TR_DAC

See Also:
  Constant Field Values

### TR_DBC

    public static final java.lang.String TR_DBC

See Also:
  Constant Field Values

### TR_X

    public static final java.lang.String TR_X

See Also:
  Constant Field Values

### TR_Y

    public static final java.lang.String TR_Y

See Also:
  Constant Field Values

### TR_Z

    public static final java.lang.String TR_Z

See Also:
  Constant Field Values

Constructor Detail

### MTGKeys

    public MTGKeys()

Method Detail

### codeToJavaTypeFeatureTypes

    public static java.lang.String codeToJavaTypeFeatureTypes(int code)

  For creating strings specifiying java primitive or object types from MTG feature types

  Parameters:
    `code` - representing index of MTG feature type in array MTG_ATTRIBUTE_KEYWORD_FEATURE_TYPES
  Returns:
    string

### doubleToInt

    public static int doubleToInt(java.lang.Object value)
                           throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### edgeBitToSymbol

    public static java.lang.String edgeBitToSymbol(int bit)

### featureNameMatchesFeatureType

    public static boolean featureNameMatchesFeatureType(int nameIndex,
                                                        int typeIndex)

### getGeneratedModuleName

    public static java.lang.String getGeneratedModuleName(java.lang.String mtgClassName)

### getStdAttFlagMask

    public static int getStdAttFlagMask(java.lang.String featureName)

### integerToDouble

    public static double integerToDouble(java.lang.Object value)
                                  throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### isStandardAttribute

    public static boolean isStandardAttribute(java.lang.String featureName)

### javaTypeToFeatureTypesCode

    public static int javaTypeToFeatureTypesCode(java.lang.String javaType)

### javaTypeToMTGType

    public static java.lang.String javaTypeToMTGType(java.lang.String javaType)

### keywordToCodeDecomposition

    public static int keywordToCodeDecomposition(java.lang.String keyword)
                                          throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### keywordToCodeDefinition

    public static int keywordToCodeDefinition(java.lang.String keyword)
                                       throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### keywordToCodeEdgeType

    public static int keywordToCodeEdgeType(java.lang.String keyword)
                                     throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### keywordToCodeMax

    public static int keywordToCodeMax(java.lang.String keyword)
                                throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### keywordToCodeRelType

    public static int keywordToCodeRelType(java.lang.String keyword)
                                    throws MTGError.MTGGraphBuildException

  Throws:
    `MTGError.MTGGraphBuildException`

### keywordToCodeStandardFeatureName

    public static int keywordToCodeStandardFeatureName(java.lang.String keyword)

### keywordToCodeStandardFeatureTypes

    public static int keywordToCodeStandardFeatureTypes(java.lang.String keyword)

### stateFeatureCharactersAcceptable

    public static boolean stateFeatureCharactersAcceptable(java.lang.String valueString)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD